Subject: Re: PATA/legacy IDE subsystem on PowerMac

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 19 May 2010 07:49:36 +1000

On Tue, 2010-05-18 at 21:16 +0200, JJDaNiMoTh wrote:
> Hello,
> 
> I hope I've posted to the right list.
> I'm the maintainer of the linux kernel in ArchlinuxPPC [1].
> 
> We actually set statically the support for the PowerMac on-board IDE support 
> (under ATA/ATAPI/MFM/RLL support (DEPRECATED) ), and the disk is recognized 
> correctly (hda*).
> If we try to remove this legacy support, enabling Serial ATA and Parallel ATA 
> drivers --> Apple PowerMac/PowerBook internal 'MacIO' IDE (NEW) statically, 
> the kernel doesn't recognize the partition on the HD. We tried different 
> powerbook, and the result is the same.
> 
> Because we haven't log, I take two photos [2] [3].
> 
> With legacy stuff, I used hda6 as root device: with PATA, neither hda{5,6,7} or 
> sda{5,6,7} work.
> As you can see from the photos, seems that the hd isn't attached to any device 
> under /dev.
> With request I could upload somewhere the configs (working and not working) 
> used, but they differ only for the things above.

Nothing obvious... the disk seem to be detected properly. Do you have
the support for mac partitions and the SCSI disk driver (BLK_DEV_SD)
enabled ?

Cheers,
Ben.

> Please let me in the right direction.
> Many thanks to all.
> 
> 
> [1] http://www.archlinuxppc.org
> [2] http://img268.imageshack.us/img268/5787/dsc04701x.jpg
> [3] http://img204.imageshack.us/img204/6476/dsc04701v.jpg
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev